Package org.biojava.utils.bytecode

# Interface CodeMethod

All Known Implementing Classes:
  `GeneratedCodeMethod`

public interface CodeMethod
Wrap up details about a method in a Java class file

Author:
  Thomas Down, Matthew Pocock

## Method Summary

Modifier and Type
Method
Description
`CodeClass`
`getContainingClass()`
The class that contains this method
`String`
`getDescriptor()`
A human-readable description of the class
`String`
`getFullName()`
The fully qualified name for this class
`int`
`getModifiers()`
Get the modifiers, such as PUBLIC, ABSTRACT and so on
`String`
`getName()`
The name of the method.
`CodeClass`
`getParameterType(int pos)`
Get the type of the parameter at a given position
`CodeClass`
`getReturnType()`
Get the return type
`int`
`numParameters()`
Get the number of parameters taken by this method

## Method Details

### getName

String getName()
The name of the method.

Returns:
  the method name

### getContainingClass

CodeClass getContainingClass()
The class that contains this method

Returns:
  the containing class

### getFullName

String getFullName()
The fully qualified name for this class

Returns:
  the full name

### getDescriptor

String getDescriptor()
A human-readable description of the class

Returns:
  the class description

### getModifiers

int getModifiers()
Get the modifiers, such as PUBLIC, ABSTRACT and so on

Returns:
  the class modifiers

### getReturnType

CodeClass getReturnType()
Get the return type

Returns:
  the return type

### numParameters

int numParameters()
Get the number of parameters taken by this method

Returns:
  the number of parameters

### getParameterType

CodeClass getParameterType(int pos)
Get the type of the parameter at a given position

Parameters:
  `pos` - the position to fetch the parameter type for
Returns:
  the type of the parameter at that position